Bug 216836 - Pup runs Firefox as root when clicking links in "Update Details" pane
Pup runs Firefox as root when clicking links in "Update Details" pane
Status: CLOSED DUPLICATE of bug 216552
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-22 01:09 EST by John William
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-27 17:29:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John William 2006-11-22 01:09:15 EST
Description of problem:
When using pup to update the system, clicking links in the "Update Details" pane
launches Firefox to show the link (expected) but Firefox is run by root
(unexpected).

Version-Release number of selected component (if applicable):
pirut-1.2.8-1.fc6

How reproducible:
Always

Steps to Reproduce:
1. Run package updater
2. Select a package and open the "Update Details" pane
3. Click a link and then check and see who is running Firefox when it opens.
  
Actual results:
Firefox run by root.

Expected results:
Firefox run by user who ran pup.

Additional info:
Obvious potential security hole.
Comment 1 Jeremy Katz 2006-11-27 17:29:57 EST

*** This bug has been marked as a duplicate of 216552 ***

Note You need to log in before you can comment on or make changes to this bug.